%define modname adodb-ext
%define src_version 504
%define soname %{modname}.so
%define inifile A10_%{modname}.ini

%define _requires_exceptions pear(phplens/adodb/adodb.inc.php)

Summary:	ADOdb extension for PHP
Name:		php-%{modname}
Version:	5.0.4
Release:	%mkrel 20
Epoch:		1
Group:		Development/PHP
License:	BSD
URL:		http://phplens.com/
Source0:	http://phplens.com/lens/dl/%{modname}-%{src_version}.tar.bz2
Source1:	%{name}.ini
Requires:	php-adodb >= 1:4.81
Requires:	php >= 3:5.2.0
BuildRequires:	php-devel >= 3:5.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The ADOdb PHP extension provides up to 75% speedup by replacing parts of ADOdb
with C code. This extension is compatible with ADOdb 3.32 or later.

%prep

%setup -q -n adodb-%{src_version}

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure2_5x \
    --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so %{modname}.so

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS test-adodb.php README*
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%{_libdir}/php/extensions/%{soname}


%changelog
* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-20mdv2009.1
+ Revision: 346389
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-19mdv2009.1
+ Revision: 341703
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-18mdv2009.1
+ Revision: 321699
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-17mdv2009.1
+ Revision: 310244
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-16mdv2009.0
+ Revision: 238372
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-15mdv2009.0
+ Revision: 200168
- rebuilt for php-5.2.6

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-14mdv2008.1
+ Revision: 162151
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 13mdv2008.1-current
+ Revision: 107600
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-12mdv2008.0
+ Revision: 77524
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-11mdv2008.0
+ Revision: 39479
- use distro conditional -fstack-protector

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-10mdv2008.0
+ Revision: 21316
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-9mdv2007.0
+ Revision: 117541
- rebuilt against new upstream version (5.2.1)
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-7mdv2007.0
+ Revision: 77865
- Import php-adodb-ext

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-7mdv2007.1
- rebuilt for php-5.2.0
- spec file cleansing

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-6
- rebuilt for php-5.1.6

* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-5mdv2007.0
- fix deps

* Sun Jun 04 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-4mdv2007.0
- fix deps

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-3mdk
- rebuilt for php-5.1.4

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-2mdk
- rebuilt for php-5.1.3

* Tue Apr 25 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- 5.0.4

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.2-7mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.2-6mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.2-5mdk 
- rebuilt against php-5.1.0

* Sat Jul 09 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1:5.0.2-4mdk 
- use only one spec file for both php versions

* Thu Jun 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1:5.0.2-3mdk  
- obsoletes php-adodb <= 5.0.4_5.0.2-1mdk
- epoch should be 1

* Thu Jun 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0:5.0.2-2mdk 
- renamed to php-adodb-ext, without obsoleting old name as it is now used by standard adodb module 
- switch to a saner versioning scheme
- introduce epoch
- use perl instead of dos2unix for fixing encoding
- enforce php build version dependency
- change group to Development/PHP

* Fri Jun 17 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_5.0.2-1mdk
- added for php 5.x too

* Fri Jun 17 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_5.0.2-0.RC1.1mdk
- 5.0.2
- fix url and deps
- strip away annoying ^M

* Wed Jun 15 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_3.3.2-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_3.3.2-1mdk
- renamed to php4-*

* Thu May 12 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_3.3.2-2mdk
- fix deps

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_3.3.2-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_3.3.2-5mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_3.3.2-4mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_3.3.2-3mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Tue Jan 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_3.3.2-2mdk
- added one x86_64 fix

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_3.3.2-1mdk
- rebuild for php 4.3.10

* Sat Oct 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_3.3.2-1mdk
- rebuild for php 4.3.9

* Thu Jul 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_3.3.2-1mdk
- rebuilt for php-4.3.8

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_3.3.2-2mdk
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_3.3.2-1mdk
- rebuilt for php-4.3.7

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_3.3.2-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Thu May 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_3.3.2-1mdk
- built for php 4.3.6

